<ion-content [fullscreen]="true" [scrollEvents]="true" (ionScroll)="logScrolling($event)">
  <div id="container">
    <div class="container mx-auto max-w-screen-xl mt-28 px-3 md:px-0" [ngClass]="cartItemsNo>0 ? 'md:mt-52' : 'md:mt-40'">
      <div class="flex flex-wrap items-center capitalize" style="color: #707070;">
        <a routerLink="/home" class="hover:text-black">Trang chủ&nbsp; </a>
        <ion-icon name="chevron-forward-outline"> </ion-icon>
        <a class="text-black">&nbsp;Đặt tiệc&nbsp;</a>
      </div>
      <div class="text-center text-3xl md:text-4xl font-medium my-8 px-4 md:px-0 capitalize">
        Đặt tiệc
      </div>
      <p class="text-center font-medium md:text-2xl my-8">Vui lòng cung cấp thông tin cơ bản về buổi tiệc của bạn
        chúng tôi sẽ liên hệ với bạn trong thời gian sớm nhất.</p>
    </div>
    <div class="container mx-auto max-w-screen-lg mb-10">
      <form [formGroup]="bookPartyForm" #formDirective="ngForm">
        <section class="container my-5">
          <div class="grid grid-cols-12">
            <div class="md:col-span-6 col-span-12 md:border-r md:pr-8 md:pl-0 px-4" style="border-color: #DDDDDD;">
              <div class="text-xl md:text-2xl font-medium capitalize">
                Thông tin liên hệ
              </div>
              <mat-form-field class="w-full pt-3">
                <mat-label>Họ và tên quý khách</mat-label>
                <input matInput formControlName="customer" placeholder="Họ và tên quý khách" class="focus:ring-0"
                  required />
              </mat-form-field>
              <mat-form-field class="w-full" appearance="outline">
                <mat-label>Số điện thoại</mat-label>
                <input matInput placeholder="Số điện thoại" formControlName="phone" required class="focus:ring-0" />
                <mat-error *ngIf="
                  bookPartyForm.hasError('minlength', 'phone') &&
                              !bookPartyForm.hasError('pattern', 'phone')
                          ">
                          {{ 'EDIT.phone.minlength' | translate }}
                </mat-error>
                <mat-error *ngIf="
                bookPartyForm.hasError('maxlength', 'phone') &&
                              !bookPartyForm.hasError('pattern', 'phone')
                          ">
                  {{ 'EDIT.phone.maxlength' | translate }}
                </mat-error>
                <mat-error *ngIf="bookPartyForm.hasError('pattern', 'phone')">
                  {{ 'EDIT.phone.pattern' | translate }}
                </mat-error>
              </mat-form-field>
              <mat-form-field class="w-full" appearance="outline">
                <mat-label>Email</mat-label>
                <input matInput type="text" placeholder="Email" formControlName="email" required class="focus:ring-0" />
              </mat-form-field>
            </div>

            <div class="md:col-span-6 col-span-12 md:pl-8 md:pr-0 md:pt-0 px-4 pt-4 ">
              <div class="text-xl md:text-2xl font-medium capitalize">
                Thông tin buổi tiệc
              </div>
              <div class="font-medium pt-3 pb-3">
                <p>Địa điểm tổ chức *</p>
              </div>
              <div class="grid grid-cols-12">
                <mat-form-field class="col-span-12">
                  <mat-label>Địa chỉ</mat-label>
                  <input matInput formControlName="street" placeholder="Địa chỉ" required/>
                </mat-form-field>
                <mat-form-field class="col-span-12">
                  <mat-label>Tỉnh/Thành phố</mat-label>
                  <mat-select formControlName="province" required>
                    <mat-option *ngFor="
                              let item of (provinces$ | async)?.edges;
                              index as index 
                          " [value]="item.node.id" (onSelectionChange)="changeProvince($event, item)">
                      {{ item.node.nameProvince }}
                    </mat-option>
                  </mat-select>
                </mat-form-field>
                <mat-form-field class="col-span-12">
                  <mat-label>Quận/Huyện</mat-label>
                  <mat-select formControlName="district" required>
                    <mat-option *ngFor="
                            let item of (districts$ | async)?.edges;
                            index as index
                        " [value]="item.node.id" (onSelectionChange)="changeDistrict($event, item)">
                      {{ item.node.nameDistrict }}
                    </mat-option>
                  </mat-select>
                </mat-form-field>
                <mat-form-field class="col-span-12">
                  <mat-label>Phường/Xã</mat-label>
                  <mat-select formControlName="ward">
                    <mat-option *ngFor="
                          let item of (wards$ | async)?.edges;
                          index as index
                      " [value]="item.node.id">
                      {{ item.node.nameWard }}
                    </mat-option>
                  </mat-select>
                </mat-form-field>
                <div class="col-span-12 mb-3">
                  <p>Thời gian tổ chức:</p>
                </div>
                <mat-form-field class="col-span-12">
                  <mat-label>Ngày tổ chức</mat-label>
                  <input matInput [matDatepicker]="picker" formControlName="createdDate">
                  <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                  <mat-datepicker #picker></mat-datepicker>
                </mat-form-field>
                <div class="col-span-12 mb-3">
                  <p>Số lượng người tham gia:</p>
                </div>
                <mat-form-field class="col-span-4">
                  <mat-label>Số lượng</mat-label>
                  <input matInput mask="separator" placeholder="Số lượng" formControlName="invitedNumber" class="focus:ring-0" />
                </mat-form-field>
              </div>


            </div>
          </div>
          <div class="w-full text-center mt-4 px-4">
            <div class="text-sm py-2">
              <mat-checkbox formControlName="confirm">
                  Tôi đã đọc và đồng ý với các <a routerLink="/flatpage/general-policy" class="font-medium underline" >Chính Sách hoạt động của Hải Sản Hoàng Gia</a>
              </mat-checkbox>
          </div>
            <button mat-raised-button type="submit" class=" w-52" (click)="onSubmitForm()" [disabled]="!bookPartyForm.controls.confirm.value || bookPartyForm.invalid">
              Đăng ký đặt tiệc
            </button>
          </div>
        </section>
      </form>
    </div>
    <div>
      <button  *ngIf="isShowBackToTop" class="fixed  right-12 md:bottom-4 md:right-28 z-50 w-10 h-10 md:w-12 md:h-12 rounded-full bg-main text-white" (click)="scrollToTop()"
          style="border: 1px solid whitesmoke" [ngClass]="cartItemsNo>0 ? 'bottom-28' : 'bottom-16'">
          <mat-icon class="pt-1" matTooltip="Trở về đầu trang">keyboard_arrow_up</mat-icon>
    </button>
    </div>
    <app-footer></app-footer>
  </div>
</ion-content>